package com.ruoyi.project.sems.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.TSpecdevYlgd;
import com.ruoyi.project.sems.his.domain.TSpechiYlgd;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 特种设备压力管道台账Service接口
 *
 * @author ruoyi
 * @date 2021-07-22
 */
public interface ITSpecdevYlgdService extends IService<TSpecdevYlgd>
{
    /**
     * 查询特种设备压力管道台账
     *
     * @param id 特种设备压力管道台账ID
     * @return 特种设备压力管道台账
     */
    public TSpecdevYlgd selectTSpecdevYlgdById(Long id);

    /**
     * 查询特种设备压力管道台账列表
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 特种设备压力管道台账集合
     */
    public List<TSpecdevYlgd> selectTSpecdevYlgdList(TSpecdevYlgd tSpecdevYlgd);
    public List<TSpecdevYlgd> selectYlgdLengthList(TSpecdevYlgd tSpecdevYlgd);
    List<TSpecdevYlgd> selectTSpecdevYlgdListByYear(TSpecdevYlgd tSpecdevYlgd);
    /**
     * 新增特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    public int insertTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd);

    /**
     * 修改特种设备压力管道台账
     *
     * @param tSpecdevYlgd 特种设备压力管道台账
     * @return 结果
     */
    public int updateTSpecdevYlgd(TSpecdevYlgd tSpecdevYlgd);

    /**
     * 批量删除特种设备压力管道台账
     *
     * @param ids 需要删除的特种设备压力管道台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlgdByIds(Long[] ids);

    /**
     * 删除特种设备压力管道台账信息
     *
     * @param id 特种设备压力管道台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlgdById(Long id);

    int updateTSpecdevYlgdByHi(TSpechiYlgd hientity);


    void duplicateTSpecdevYlgd();

    int importFiles(List<MultipartFile> files, String plantCode, String fileType, String toString) throws Exception;
}
